aboutsummaryrefslogtreecommitdiff
path: root/src/all.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2010-08-18 10:08:49 -0400
committerRuss Cox <rsc@golang.org>2010-08-18 10:08:49 -0400
commitda392d9136b56b28d901aacf9fe79996bf729c65 (patch)
tree049d4382b068bdd59ecec8dad9617bbb3be5f512 /src/all.bash
parent31339c32244a58263dd2f375d0c32d5f0ac596e5 (diff)
downloadgo-da392d9136b56b28d901aacf9fe79996bf729c65.tar.gz
go-da392d9136b56b28d901aacf9fe79996bf729c65.zip
build: no required environment variables
R=adg, r, PeterGo CC=golang-dev https://golang.org/cl/1942044
Diffstat (limited to 'src/all.bash')
-rwxr-xr-xsrc/all.bash8
1 files changed, 7 insertions, 1 deletions
diff --git a/src/all.bash b/src/all.bash
index 00c1ca74dd..4a98fe9f6b 100755
--- a/src/all.bash
+++ b/src/all.bash
@@ -4,5 +4,11 @@
# license that can be found in the LICENSE file.
set -e
-bash make.bash
+if [ ! -f make.bash ]; then
+ echo 'all.bash must be run from $GOROOT/src' 1>&2
+ exit 1
+fi
+. ./make.bash
bash run.bash --no-rebuild
+installed # function defined by make.bash
+